#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint ox_sai_flutter_sdk.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'ox_sai_flutter_sdk'
  s.version          = '0.0.1'
  s.summary          = 'A new Flutter project.'
  s.description      = <<-DESC
A new Flutter project.
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '8.0'

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-ObjC' , 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
  s.swift_version = '5.0'

  s.ios.vendored_frameworks = 'Frameworks/OXSaiSDK.framework'
  s.vendored_frameworks = 'OXSaiSDK.framework'

  # 引入图片资源
  s.resources = 'Frameworks/OXSaiSDK.bundle'

  #引入系统静态库
  s.libraries = 'c++.1'

  # 引入第三方 pod
  s.dependency 'ReactiveObjC'
  s.dependency 'YYImage'
  s.dependency 'Masonry'
end
